PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

Functions | Variables
fermi-edge-analysis.ipf File Reference
ARPES package

tools for analysing the Fermi edge measured by the Scienta EW4000 analyser. More...

`#include "pearl-area-profiles"`

Go to the source code of this file.

## Functions
variable | analyse_curved_edge (wave data)
variable | record_results (variable index)
variable | integrate_curved_edge (wave data, wave data_sig)
variable | slit_correction (wave data, wave data_out, variable epass)
threadsafe variable | FermiFuncLinDOS2D_corr (variable w, threadsafe x, wave y)
threadsafe variable | slit_shift (variable ypix, variable epass)
variable | show_shift (wave data)
variable | analyser_energy_resolution (variable epass, variable slit)
| calculate the energy resolution of the analyser More...

## Variables
static const variable | mcp_radius_pix = 555
| MCP radius seen by the camera in pixels. More...
static const variable | mcp_radius_mm = 20
| physical size (radius) of the MCP in mm More...
static const variable | hemi_radius_mm = 200
| physical size (radius) of the hemisphere in mm More...
static const variable | mcp_radius_epass = 0.04
| energy range imaged on MCP relative to the pass energy More...

## Detailed Description

tools for analysing the Fermi edge measured by the Scienta EW4000 analyser.

proposed procedure

- angular normalization
- fit curved fermi function
- calculate corrected energy coordinates and map to single independent variable
- fit normal fermi function

Author
  matthias muntwiler, matth.nosp@m.ias..nosp@m.muntw.nosp@m.iler.nosp@m.@psi..nosp@m.ch
  thomas dienel

Copyright
  2013-15 Paul Scherrer Institut
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Definition in file fermi-edge-analysis.ipf.

## Function Documentation

## ◆ analyse_curved_edge()

variable analyse_curved_edge | ( | wave | data | ) |

Definition at line 27 of file fermi-edge-analysis.ipf.

## ◆ analyser_energy_resolution()

variable analyser_energy_resolution | ( | variable | epass,
|  | variable | slit
| ) |  |

calculate the energy resolution of the analyser

Parameters

  epass | pass energy in eV
  slit | analyser entrance slit in mm

Returns
  energy resolution (FWHM)

Definition at line 306 of file fermi-edge-analysis.ipf.

## ◆ FermiFuncLinDOS2D_corr()

threadsafe variable FermiFuncLinDOS2D_corr | ( | variable | w,
|  | threadsafe | x,
|  | wave | y
| ) |  |

Definition at line 216 of file fermi-edge-analysis.ipf.

## ◆ integrate_curved_edge()

variable integrate_curved_edge | ( | wave | data,
|  | wave | data_sig
| ) |  |

Definition at line 116 of file fermi-edge-analysis.ipf.

## ◆ record_results()

variable record_results | ( | variable | index | ) |

Definition at line 98 of file fermi-edge-analysis.ipf.

## ◆ show_shift()

variable show_shift | ( | wave | data | ) |

Definition at line 284 of file fermi-edge-analysis.ipf.

## ◆ slit_correction()

variable slit_correction | ( | wave | data,
|  | wave | data_out,
|  | variable | epass
| ) |  |

Definition at line 173 of file fermi-edge-analysis.ipf.

## ◆ slit_shift()

threadsafe variable slit_shift | ( | variable | ypix,
|  | variable | epass
| ) |  |

Definition at line 267 of file fermi-edge-analysis.ipf.

## Variable Documentation

## ◆ hemi_radius_mm

const variable hemi_radius_mm = 200
| static

physical size (radius) of the hemisphere in mm

Definition at line 263 of file fermi-edge-analysis.ipf.

## ◆ mcp_radius_epass

const variable mcp_radius_epass = 0.04
| static

energy range imaged on MCP relative to the pass energy

Definition at line 265 of file fermi-edge-analysis.ipf.

## ◆ mcp_radius_mm

const variable mcp_radius_mm = 20
| static

physical size (radius) of the MCP in mm

Definition at line 261 of file fermi-edge-analysis.ipf.

## ◆ mcp_radius_pix

const variable mcp_radius_pix = 555
| static

MCP radius seen by the camera in pixels.

Definition at line 259 of file fermi-edge-analysis.ipf.